Bug 168791 - CVE-2006-1528 Possible local crash by dio/mmap sg driver
CVE-2006-1528 Possible local crash by dio/mmap sg driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
public=20050830,impact=important
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 06:35 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0493
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-24 05:26:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-09-20 06:35:55 EDT
The following commit was made upstream:
http://linux.bkbits.net:8080/linux-2.6/cset@43220081yu9ClBQNuqSSnW_9amW7iQ

This was to fix a flaw that meant that a local? user could attempt a dio/mmap
and cause a sg driver oops, based on this message:
http://marc.theaimsgroup.com/?l=linux-scsi&m=112540053711489&w=2

This may affect RHEL4, it needs a quick sanity check.
Comment 1 Doug Ledford 2005-10-18 13:27:33 EDT
Quick check shows it's needed.  Being built/tested now.
Comment 2 Doug Ledford 2005-10-18 21:14:16 EDT
Submitted for internal review, but I don't currently have appropriate software
to test with, so inclusion may very well not happen this time around.
Comment 6 Daniel Riek 2006-05-17 15:55:27 EDT
PM ack for U4, putting on ProposedList.

Would this be a Beta Blocker?
Comment 10 Jason Baron 2006-05-22 15:12:29 EDT
committed in stream U4 build 36.1. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 12 Red Hat Bugzilla 2006-05-24 05:26:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0493.html

Note You need to log in before you can comment on or make changes to this bug.